#ifndef _IPXE_STATUS_UPDATER_H
#define _IPXE_STATUS_UPDATER_H

FILE_LICENCE ( GPL2_OR_LATER );

#include <ipxe/list.h>

typedef void ( * status_update_fn ) ( void *priv, uint8_t status );

/** Status stages */
#define STATUS_UPDATE_WAIT_ON_LINKUP	1
#define	STATUS_UPDATE_URI_BOOT		2

/** Send status update to who is registered in the list */
void status_update ( uint32_t status );
/** Register device in the list */
int status_update_register_device ( void *priv, status_update_fn fn );
/** Unregister device from the list */
void status_update_unregister_device ( void *priv );

#endif /* _IPXE_STATUS_UPDATER_H */
